org.apache.cassandra.db

## Class EmptyIterators

- java.lang.Object
- - org.apache.cassandra.db.EmptyIterators

    public class EmptyIterators
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EmptyIterators()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PartitionIterator` `partition()`
`static RowIterator` `row(CFMetaData metadata, DecoratedKey partitionKey, boolean isReverseOrder)`
`static UnfilteredPartitionIterator` `unfilteredPartition(CFMetaData metadata, boolean isForThrift)`
`static UnfilteredRowIterator` `unfilteredRow(CFMetaData metadata, DecoratedKey partitionKey, boolean isReverseOrder)`
`static UnfilteredRowIterator` `unfilteredRow(CFMetaData metadata, DecoratedKey partitionKey, boolean isReverseOrder, Row staticRow, DeletionTime partitionDeletion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyIterators

    public EmptyIterators()

### Method Detail

#### unfilteredPartition

    public static UnfilteredPartitionIterator unfilteredPartition(CFMetaData metadata,
                                                                  boolean isForThrift)

#### partition

    public static PartitionIterator partition()

#### unfilteredRow

    public static UnfilteredRowIterator unfilteredRow(CFMetaData metadata,
                                                      DecoratedKey partitionKey,
                                                      boolean isReverseOrder,
                                                      Row staticRow,
                                                      DeletionTime partitionDeletion)

#### unfilteredRow

    public static UnfilteredRowIterator unfilteredRow(CFMetaData metadata,
                                                      DecoratedKey partitionKey,
                                                      boolean isReverseOrder)

#### row

    public static RowIterator row(CFMetaData metadata,
                                  DecoratedKey partitionKey,
                                  boolean isReverseOrder)